Package com.google.cloud.spanner.connection

# Class ConnectionPropertiesHelper

java.lang.Object
com.google.cloud.spanner.connection.ConnectionPropertiesHelper

@InternalApi public class ConnectionPropertiesHelper extends Object

## Field Summary

Fields
Modifier and Type
Field
Description
`static com.google.common.collect.ImmutableList<com.google.cloud.spanner.connection.ConnectionProperty<?>>`
`VALID_CONNECTION_PROPERTIES`

## Method Summary

Modifier and Type
Method
Description
`static String`
`getConnectionPropertyName(com.google.cloud.spanner.connection.ConnectionProperty<?> connectionProperty)`
`static DriverPropertyInfo`
`toDriverPropertyInfo(String connectionUri, com.google.cloud.spanner.connection.ConnectionProperty<?> connectionProperty)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### VALID_CONNECTION_PROPERTIES

public static com.google.common.collect.ImmutableList<com.google.cloud.spanner.connection.ConnectionProperty<?>> VALID_CONNECTION_PROPERTIES

## Method Details

### toDriverPropertyInfo

public static DriverPropertyInfo toDriverPropertyInfo(String connectionUri, com.google.cloud.spanner.connection.ConnectionProperty<?> connectionProperty)

### getConnectionPropertyName

public static String getConnectionPropertyName(com.google.cloud.spanner.connection.ConnectionProperty<?> connectionProperty)